﻿<%@ Page Title="" Language="C#" MasterPageFile="MasterPage.master" %>

<script runat="server">
    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = MyData.BusinessDataStorage.GetData();
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="mainContentPlaceHolder" runat="Server">
    <telerik:RadGrid ID="RadGrid1" runat="server" GridLines="None" AllowPaging="True"
        OnNeedDataSource="RadGrid1_NeedDataSource"
        AllowFilteringByColumn="True" AllowSorting="True" AutoGenerateColumns="false">
        <MasterTableView DataKeyNames="ID" AutoGenerateColumns="false">
            <RowIndicatorColumn>
                <HeaderStyle Width="20px"></HeaderStyle>
            </RowIndicatorColumn>
            <ExpandCollapseColumn>
                <HeaderStyle Width="20px"></HeaderStyle>
            </ExpandCollapseColumn>
            <Columns>
                <telerik:GridBoundColumn DataField="Name" HeaderText="FirstName" SortExpression="Name"
                    UniqueName="FirstName">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Name" HeaderText="LastName" SortExpression="Name"
                    UniqueName="LastName">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Name" HeaderText="Business Name" SortExpression="Name"
                    UniqueName="Business Name">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="ID" HeaderText="State" SortExpression="ID"
                    UniqueName="State">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="ID" HeaderText="Zip" SortExpression="ID" UniqueName="Zip">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="ID" HeaderText="Address" SortExpression="ID"
                    UniqueName="Address">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="ID" HeaderText="City" SortExpression="ID"
                    UniqueName="City">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Price" HeaderText="Phone" SortExpression="Price"
                    UniqueName="Phone">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Price" HeaderText="Fax" SortExpression="Price" UniqueName="Fax">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Quantity" HeaderText="Email" SortExpression="Quantity"
                    UniqueName="Email">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Quantity" HeaderText="CellPhone" SortExpression="Quantity"
                    UniqueName="CellPhone">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Edit" HeaderText="<a href='test'>test</a>">
                </telerik:GridBoundColumn>
            </Columns>
        </MasterTableView>
    </telerik:RadGrid>
</asp:Content>
